Package com.enonic.xp.schema.content

## Class ContentType.Builder

- java.lang.Object
- - com.enonic.xp.schema.BaseSchema.Builder<ContentType.Builder,​ContentTypeName>
  - - com.enonic.xp.schema.content.ContentType.Builder

- Enclosing class:
    ContentType

      public static class ContentType.Builder
      extends BaseSchema.Builder<ContentType.Builder,​ContentTypeName>

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.schema.BaseSchema.Builder

      `name`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentType.Builder` | `addFormItem​(FormItem formItem)` |
    `ContentType.Builder` | `allowChildContent​(boolean value)` |
    `ContentType.Builder` | `allowChildContentType​(List<String> allowChildContentType)` |
    `ContentType` | `build()` |
    `ContentType.Builder` | `displayNameExpression​(String displayNameExpression)` |
    `ContentType.Builder` | `displayNameLabel​(String displayNameLabel)` |
    `ContentType.Builder` | `displayNameLabelI18nKey​(String displayNameLabelI18nKey)` |
    `ContentType.Builder` | `form​(Form form)` |
    `ContentType.Builder` | `name​(ContentTypeName value)` |
    `ContentType.Builder` | `name​(String value)` |
    `ContentType.Builder` | `schemaConfig​(InputTypeConfig config)` |
    `ContentType.Builder` | `setAbstract()` |
    `ContentType.Builder` | `setAbstract​(boolean value)` |
    `ContentType.Builder` | `setBuiltIn()` |
    `ContentType.Builder` | `setBuiltIn​(boolean builtIn)` |
    `ContentType.Builder` | `setFinal()` |
    `ContentType.Builder` | `setFinal​(boolean value)` |
    `ContentType.Builder` | `superType​(ContentTypeName superType)` |
    `ContentType.Builder` | `xData​(XDataNames xData)` |

    - ### Methods inherited from class com.enonic.xp.schema.BaseSchema.Builder

      `createdTime, creator, description, descriptionI18nKey, displayName, displayNameI18nKey, icon, modifiedTime, modifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          public ContentType.Builder name​(ContentTypeName value)

      Overrides:
        `name` in class `BaseSchema.Builder<ContentType.Builder,​ContentTypeName>`

    - #### name

          public ContentType.Builder name​(String value)

    - #### setAbstract

          public ContentType.Builder setAbstract​(boolean value)

    - #### setAbstract

          public ContentType.Builder setAbstract()

    - #### setFinal

          public ContentType.Builder setFinal​(boolean value)

    - #### setFinal

          public ContentType.Builder setFinal()

    - #### allowChildContent

          public ContentType.Builder allowChildContent​(boolean value)

    - #### setBuiltIn

          public ContentType.Builder setBuiltIn​(boolean builtIn)

    - #### setBuiltIn

          public ContentType.Builder setBuiltIn()

    - #### superType

          public ContentType.Builder superType​(ContentTypeName superType)

    - #### addFormItem

          public ContentType.Builder addFormItem​(FormItem formItem)

    - #### form

          public ContentType.Builder form​(Form form)

    - #### displayNameExpression

          public ContentType.Builder displayNameExpression​(String displayNameExpression)

    - #### xData

          public ContentType.Builder xData​(XDataNames xData)

    - #### displayNameLabel

          public ContentType.Builder displayNameLabel​(String displayNameLabel)

    - #### displayNameLabelI18nKey

          public ContentType.Builder displayNameLabelI18nKey​(String displayNameLabelI18nKey)

    - #### schemaConfig

          public ContentType.Builder schemaConfig​(InputTypeConfig config)

    - #### allowChildContentType

          public ContentType.Builder allowChildContentType​(List<String> allowChildContentType)

    - #### build

          public ContentType build()